summaryrefslogtreecommitdiff
path: root/tests/misc/nohup
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2012-01-07 20:55:10 +0100
committerJim Meyering <meyering@redhat.com>2012-01-09 21:50:08 +0100
commitae2b0d2ddca458eb282bb0458987e75e1875a659 (patch)
treede928bfafb577a20963be45b4b6d97488c0b5e24 /tests/misc/nohup
parentdd0e4c5621ca2fa9255aef4eee0e7cf41cd335d2 (diff)
downloadcoreutils-ae2b0d2ddca458eb282bb0458987e75e1875a659.tar.xz
tests: more automated quote adjustment
Relax initial regexp to match more instances, but add a filter to avoid some invalid conversions. Run this: git grep -l "\`[^']*'" tests | xargs perl -pi -e '$q=q"'\''";' \ -e '$q="$q\\$q$q"; /(= ?\`|\`expr|\`echo|\Q$q\E)/ and next;' \ -e ' s/\`([^'\''"]*?'\'')/'\''$1/g' The last disjunct in the above (...) filter is to exempt any line that contains this string: '\'' With quoting like that, converting a ` to ' is likely to cause trouble, so we'll handle those manually. Here are three examples where the exemption is required: *': `link-to-dir/'\'': hard link not allowed for directory'*) ;; printf 'creating file `%s'\''\n' $f 'mv: inter-device move failed: `%s'\'' to `%s'\'';'\
Diffstat (limited to 'tests/misc/nohup')
-rwxr-xr-xtests/misc/nohup4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/misc/nohup b/tests/misc/nohup
index e20a22c70..0fa1f3dc0 100755
--- a/tests/misc/nohup
+++ b/tests/misc/nohup
@@ -50,9 +50,9 @@ rm -f nohup.out err exp
# change depending on whether stderr is redirected.
nohup sh -c 'echo stdout; echo stderr 1>&2' >out || fail=1
if test -t 2; then
- test "`cat out|tr '\n' -`" = stdout-stderr- || fail=1
+ test "'cat out|tr '\n' -`" = stdout-stderr- || fail=1
else
- test "`cat out|tr '\n' -`" = stdout- || fail=1
+ test "'cat out|tr '\n' -`" = stdout- || fail=1
fi
# It must *not* exist.
test -f nohup.out && fail=1